com.genesyslab.wfm8.API.service.calendar810

## Interface ECalItems

-     public interface ECalItems

  Calendar item types

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CAL_ITEM_AVAILABILITY` Availability
    `static int` | `CAL_ITEM_DAY_OFF` Day Off
    `static int` | `CAL_ITEM_FD_EXCEPTION` Full-day Exception
    `static int` | `CAL_ITEM_PD_EXCEPTION` Partial-day Exception
    `static int` | `CAL_ITEM_ROTATING_PATTERN` Rotating Pattern
    `static int` | `CAL_ITEM_SHIFT` Shift
    `static int` | `CAL_ITEM_TIMEOFF` Time Off
    `static int` | `CAL_ITEM_UNKNOWN` Type not defined
    `static int` | `CAL_ITEM_WORKING_HOURS` Working Hours

- - ### Field Detail

    - #### CAL_ITEM_UNKNOWN

          static final int CAL_ITEM_UNKNOWN

      Type not defined
      See Also:
        Constant Field Values

    - #### CAL_ITEM_FD_EXCEPTION

          static final int CAL_ITEM_FD_EXCEPTION

      Full-day Exception
      See Also:
        Constant Field Values

    - #### CAL_ITEM_PD_EXCEPTION

          static final int CAL_ITEM_PD_EXCEPTION

      Partial-day Exception
      See Also:
        Constant Field Values

    - #### CAL_ITEM_DAY_OFF

          static final int CAL_ITEM_DAY_OFF

      Day Off
      See Also:
        Constant Field Values

    - #### CAL_ITEM_TIMEOFF

          static final int CAL_ITEM_TIMEOFF

      Time Off
      See Also:
        Constant Field Values

    - #### CAL_ITEM_SHIFT

          static final int CAL_ITEM_SHIFT

      Shift
      See Also:
        Constant Field Values

    - #### CAL_ITEM_AVAILABILITY

          static final int CAL_ITEM_AVAILABILITY

      Availability
      See Also:
        Constant Field Values

    - #### CAL_ITEM_WORKING_HOURS

          static final int CAL_ITEM_WORKING_HOURS

      Working Hours
      See Also:
        Constant Field Values

    - #### CAL_ITEM_ROTATING_PATTERN

          static final int CAL_ITEM_ROTATING_PATTERN

      Rotating Pattern
      See Also:
        Constant Field Values

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.